"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class VariantAttributes(ProtocolElement):
    """
    Some additional variant attributes
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {}

    @classmethod
    def getEmbeddedTypes(cls):
        return {}

    @classmethod
    def getEmbeddedEnums(cls):
        return {}

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_6_1 import reports as reports_5_0_0

        return {
            "org.gel.models.report.avro.VariantAttributes": reports_5_0_0.VariantAttributes,
        }

    __slots__ = [
        "fdp50",
        "ihp",
        "others",
        "recurrentlyReported",
    ]

    def __init__(
        self,
        fdp50=None,
        ihp=None,
        others=None,
        recurrentlyReported=None,
        validate=None,
        **kwargs
    ):
        """Initialise the reports_5_0_0.VariantAttributes model.

        :param fdp50:
            Average tier1 number of basecalls filtered from original read depth
            within 50 bases
        :type fdp50: None | str
        :param ihp:
            Largest reference interrupted homopolymer length intersecting with the
            indel
        :type ihp: None | int
        :param others:
            Map of other attributes where keys are the attribute names and values
            are the attributes
        :type others: None | dict[str, str]
        :param recurrentlyReported:
            Flag indicating if the variant is recurrently reported
        :type recurrentlyReported: None | boolean
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "5.0.0"
